[Kernel-packages] [Bug 1729337] Re: CIFS errors on 4.4.0-98, but not on 4.4.0-97 with same config

2019-01-19 Thread Joseph Salisbury
** Changed in: linux (Ubuntu Zesty) Status: In Progress => Fix Released ** Changed in: linux (Ubuntu Trusty) Status: In Progress => Fix Released ** Changed in: linux (Ubuntu) Status: In Progress => Fix Released -- You received this bug notification because you are a member

[Kernel-packages] [Bug 1729337] Re: CIFS errors on 4.4.0-98, but not on 4.4.0-97 with same config

2018-06-06 Thread Jack Hardcastle
I'm happy to create a new bug report for this, however before I do I wanted to follow up here first. I've been working on a bionic VM template this week and the issue has resurfaced. Client (18.04) reboots daily at 3:00 a.m., and somewhere between 30 minutes and 2 hours later, the CIFS mount

[Kernel-packages] [Bug 1729337] Re: CIFS errors on 4.4.0-98, but not on 4.4.0-97 with same config

2017-12-07 Thread Launchpad Bug Tracker
This bug was fixed in the package linux - 4.4.0-103.126 --- linux (4.4.0-103.126) xenial; urgency=low * linux: 4.4.0-103.126 -proposed tracker (LP: #1736181) * CVE-2017-1000405 - mm, thp: Do not make page table dirty unconditionally in touch_p[mu]d() * CVE-2017-16939

[Kernel-packages] [Bug 1729337] Re: CIFS errors on 4.4.0-98, but not on 4.4.0-97 with same config

2017-12-06 Thread Kleber Sacilotto de Souza
Hi @FedeX and @jwhardcastle, Could you please verify if the Xenial kernel currently in -proposed fixes the issue? Thank you. -- You received this bug notification because you are a member of Kernel Packages, which is subscribed to linux in Ubuntu. https://bugs.launchpad.net/bugs/1729337

[Kernel-packages] [Bug 1729337] Re: CIFS errors on 4.4.0-98, but not on 4.4.0-97 with same config

2017-11-28 Thread Khaled El Mously
This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed- xenial' to 'verification-done-xenial'. If the problem still exists, change the tag

[Kernel-packages] [Bug 1729337] Re: CIFS errors on 4.4.0-98, but not on 4.4.0-97 with same config

2017-11-21 Thread FedeX
I've done further tests, and found that with kernels 3.13.0-128, 3.13.0-133, 3.13.0-134 and 3.13.0-135, mounting cifs folder using vers=3.0 (with no security mode manually set, ie: no option sec=ntlmsspi used) sometimes work and sometimes it doesn't, unfortunately I can't figure out what is

[Kernel-packages] [Bug 1729337] Re: CIFS errors on 4.4.0-98, but not on 4.4.0-97 with same config

2017-11-20 Thread FedeX
Ok this is very weird, it worked fine after the first reboot, but then I booted once again with 3.13.0-135-generic #184-Ubuntu just to confirm that the same mount options where failing (which they did). Then I rebooted again to 3.13.0-134-generic #183~lp1729337Commit5165d87e224 and the mount it's

[Kernel-packages] [Bug 1729337] Re: CIFS errors on 4.4.0-98, but not on 4.4.0-97 with same config

2017-11-20 Thread FedeX
Hi Joseph, It seems to be working fine with this kernel, is there any particular info you would like me to provide? Cheers FedeX -- You received this bug notification because you are a member of Kernel Packages, which is subscribed to linux in Ubuntu. https://bugs.launchpad.net/bugs/1729337

[Kernel-packages] [Bug 1729337] Re: CIFS errors on 4.4.0-98, but not on 4.4.0-97 with same config

2017-11-20 Thread FedeX
Hi Joseph, Thanks for that No worries, I'll test this now and report back to you Cheers FedeX -- You received this bug notification because you are a member of Kernel Packages, which is subscribed to linux in Ubuntu. https://bugs.launchpad.net/bugs/1729337 Title: CIFS errors on 4.4.0-98,

[Kernel-packages] [Bug 1729337] Re: CIFS errors on 4.4.0-98, but not on 4.4.0-97 with same config

2017-11-20 Thread Stefan Bader
** Changed in: linux (Ubuntu Xenial) Status: In Progress => Fix Committed -- You received this bug notification because you are a member of Kernel Packages, which is subscribed to linux in Ubuntu. https://bugs.launchpad.net/bugs/1729337 Title: CIFS errors on 4.4.0-98, but not on

[Kernel-packages] [Bug 1729337] Re: CIFS errors on 4.4.0-98, but not on 4.4.0-97 with same config

2017-11-19 Thread Joseph Salisbury
Only the linux-image and linux-image-extra .deb packages need to be installed. -- You received this bug notification because you are a member of Kernel Packages, which is subscribed to linux in Ubuntu. https://bugs.launchpad.net/bugs/1729337 Title: CIFS errors on 4.4.0-98, but not on 4.4.0-97

[Kernel-packages] [Bug 1729337] Re: CIFS errors on 4.4.0-98, but not on 4.4.0-97 with same config

2017-11-18 Thread FedeX
Hi @jsalisbury, Sorry been flat out with work! Sure can help with that, just to double check please, do I need to download and install all 8 deb packages in?: http://kernel.ubuntu.com/~jsalisbury/lp1729337 Because I don't think I've ever used/installed the cloud-tools in any of my servers

[Kernel-packages] [Bug 1729337] Re: CIFS errors on 4.4.0-98, but not on 4.4.0-97 with same config

2017-11-16 Thread Joseph Salisbury
@FedeX It's interesting that reverting to 3.13.0-133 fixed the issue since there are no cifs related change from 3.13.0-133 to 3.13.0-135. Also, according to upstream kernel bugzilla 197311, it's mentioned that this was introduced by: 0603c96f upstream ("SMB: Validate negotiate (to protect

[Kernel-packages] [Bug 1729337] Re: CIFS errors on 4.4.0-98, but not on 4.4.0-97 with same config

2017-11-16 Thread Joseph Salisbury
** Changed in: linux (Ubuntu Artful) Status: In Progress => Fix Committed -- You received this bug notification because you are a member of Kernel Packages, which is subscribed to linux in Ubuntu. https://bugs.launchpad.net/bugs/1729337 Title: CIFS errors on 4.4.0-98, but not on

[Kernel-packages] [Bug 1729337] Re: CIFS errors on 4.4.0-98, but not on 4.4.0-97 with same config

2017-11-03 Thread Joseph Salisbury
** Description changed: - We have a cluster of servers that applied a security update overnight - and were unable to mount CIFS shares after upgrading to 4.4.0-98. The - same machines on 4.4.0-97 were fine the night before, and are fine after - downgrading. The only error message CIFS would

[Kernel-packages] [Bug 1729337] Re: CIFS errors on 4.4.0-98, but not on 4.4.0-97 with same config

2017-11-03 Thread Jack Hardcastle
That did it for me on Xenial. root@client:~# uname -a Linux client 4.4.0-98-generic #121~lp1729337 SMP Thu Nov 2 20:53:20 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux root@client:~# mount | grep share //server/share on /mnt/share type cifs

[Kernel-packages] [Bug 1729337] Re: CIFS errors on 4.4.0-98, but not on 4.4.0-97 with same config

2017-11-02 Thread Joseph Salisbury
I also built a Trusty test kernel with commit 4587eee. It can be downloaded from: http://kernel.ubuntu.com/~jsalisbury/lp1729337/trusty -- You received this bug notification because you are a member of Kernel Packages, which is subscribed to linux in Ubuntu.

[Kernel-packages] [Bug 1729337] Re: CIFS errors on 4.4.0-98, but not on 4.4.0-97 with same config

2017-11-02 Thread Joseph Salisbury
With all these test kernels, be sure to install both the linux-image and linux-image-extra .deb packages. Thanks in advance! -- You received this bug notification because you are a member of Kernel Packages, which is subscribed to linux in Ubuntu. https://bugs.launchpad.net/bugs/1729337 Title:

[Kernel-packages] [Bug 1729337] Re: CIFS errors on 4.4.0-98, but not on 4.4.0-97 with same config

2017-11-02 Thread Joseph Salisbury
I built Xenial, Zesty and Artful test kernels with the following commit: 4587eee SMB3: Validate negotiate request must always be signed The test kernels can be downloaded from: http://kernel.ubuntu.com/~jsalisbury/lp1729337/ Can you test these kernels and see if that commit resolves this bug?

[Kernel-packages] [Bug 1729337] Re: CIFS errors on 4.4.0-98, but not on 4.4.0-97 with same config

2017-11-02 Thread Joseph Salisbury
** Also affects: linux (Ubuntu Artful) Importance: Undecided Status: New ** Also affects: linux (Ubuntu Trusty) Importance: Undecided Status: New ** Also affects: linux (Ubuntu Zesty) Importance: Undecided Status: New ** Changed in: linux (Ubuntu Trusty)

[Kernel-packages] [Bug 1729337] Re: CIFS errors on 4.4.0-98, but not on 4.4.0-97 with same config

2017-11-02 Thread Jack Hardcastle
FWIW I can confirm that adding sec=ntlmsspi fixed our issue with 4.4.0-98. root@client:~# mount | grep share //server/share on /mnt/share type cifs

[Kernel-packages] [Bug 1729337] Re: CIFS errors on 4.4.0-98, but not on 4.4.0-97 with same config

2017-11-01 Thread FedeX
I've found another interesting fact by searching the mount.cifs man page, quote: sec= Security mode. Allowed values are: · none - attempt to connection as a null user (no name) · krb5 - Use Kerberos version 5 authentication · krb5i - Use

[Kernel-packages] [Bug 1729337] Re: CIFS errors on 4.4.0-98, but not on 4.4.0-97 with same config

2017-11-01 Thread FedeX
Here are more details of two Ubuntu servers where I'm experiencing this issue: uname -a Linux 3.13.0-135-generic #184-Ubuntu SMP Wed Oct 18 11:55:51 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux lsb_release -a No LSB modules are available. Distributor ID: Ubuntu Description:Ubuntu 14.04.5 LTS

[Kernel-packages] [Bug 1729337] Re: CIFS errors on 4.4.0-98, but not on 4.4.0-97 with same config

2017-11-01 Thread Jack Hardcastle
Confirmed that 4.14-rc7 works fine, no error. root@cf03:~# uname -a Linux client 4.14.0-041400rc7-generic #201710292231 SMP Sun Oct 29 22:32:07 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux root@client:~# mount ... snip ... //server/share on /mnt/share type cifs

[Kernel-packages] [Bug 1729337] Re: CIFS errors on 4.4.0-98, but not on 4.4.0-97 with same config

2017-11-01 Thread FedeX
Hi, Can confirm I'm having the same issue with multiple servers after latest updates: Ubuntu 16.04.3 LTS (GNU/Linux 4.4.0-98-generic x86_64) Ubuntu 14.04.5 LTS (GNU/Linux 3.13.0-135-generic x86_64) Also as a workaround changing from vers=3.0 to vers=2.1 fix the issue Thanks -- You received

[Kernel-packages] [Bug 1729337] Re: CIFS errors on 4.4.0-98, but not on 4.4.0-97 with same config

2017-11-01 Thread Joseph Salisbury
Thanks for testing that. We can next perform a kernel bisect to identify the commit that introduced the regression. First it would be good to know if this bug is already fixed upstream. If it is, we can perform a "Reverse" bisect to identify the commit that fixes the bug. Can you test

[Kernel-packages] [Bug 1729337] Re: CIFS errors on 4.4.0-98, but not on 4.4.0-97 with same config

2017-11-01 Thread Jack Hardcastle
Sorry, it doesn't seem to have fixed the issue. I installed the image, extras, and both headers packages. No cloud or tools (they aren't installed in our system usually). root@client:~# uname -a Linux client 4.4.0-98-generic #121~lp1729337 SMP Wed Nov 1 14:29:16 UTC 2017 x86_64 x86_64 x86_64

[Kernel-packages] [Bug 1729337] Re: CIFS errors on 4.4.0-98, but not on 4.4.0-97 with same config

2017-11-01 Thread Joseph Salisbury
I built a 16.04 test kernel with the folloiwng commit reverted: f5c4ba816315 ("cifs: release auth_key.response for reconnect.") This was the only cifs change between -97 and -98. The test kernel can be downloaded from: http://kernel.ubuntu.com/~jsalisbury/lp1729337/ Can you test this kernel

[Kernel-packages] [Bug 1729337] Re: CIFS errors on 4.4.0-98, but not on 4.4.0-97 with same config

2017-11-01 Thread Jack Hardcastle
@jsalisbury I've got one machine from our cluster that's not been downgraded so I can do any debugging or provide any additional information that you might need. Let me know if there's anything I can do to help. Thanks. -- You received this bug notification because you are a member of Kernel

[Kernel-packages] [Bug 1729337] Re: CIFS errors on 4.4.0-98, but not on 4.4.0-97 with same config

2017-11-01 Thread Joseph Salisbury
** Changed in: linux (Ubuntu) Importance: Undecided => High ** Also affects: linux (Ubuntu Xenial) Importance: Undecided Status: New ** Changed in: linux (Ubuntu Xenial) Status: New => Incomplete ** Changed in: linux (Ubuntu Xenial) Importance: Undecided => High **